from django.conf.urls import url

from .views import *

urlpatterns = [
    url(r'^$', HomeView.as_view(), name='environment-home'),
    url(r'^variables$', VariablesView.as_view(), name='environment-variables'),
    url(r'^new-variable$', VariableCreateView.as_view(), name='new-variable',),
    url(r'^update-variable/(?P<pk>\w+)$', VariableUpdateView.as_view(),
        name='update-variable'),
    url(r'^delete-variable/(?P<pk>\w+)$', VariableDeleteView.as_view(),
        name='delete-variable'),
    url(r'^check_operational/(?P<service>\w+)/(?P<slug>[\w-]+)$',
        operational_check_view, name='operational-check'),
    url(r'^new-(?P<service>\w+)$', ServiceCreateView.as_view(), name='create-service'),
    url(r'^save-(?P<service>\w+)/(?P<slug>[\w-]+)$', ServiceUpdateView.as_view(), name='save-service'),
    url(r'^delete-(?P<service>\w+)/(?P<slug>[\w-]+)$', ServiceDeleteView.as_view(), name='delete-service'),

    url(r'^new-variable-(?P<service>\w+)/(?P<slug>[\w-]+)$',
        VariableCreateView.as_view(), name='new-variable-service',),
    url(r'^debug.json$', debug_json, name='debug-json'),
]
