# hobo - rapid remote deployment
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import absolute_import

import os

from django.conf import settings
from django.db import connection

from tenant_schemas.postgresql_backend.base import FakeTenant

import haystack.backends.whoosh_backend

class WhooshSearchBackend(haystack.backends.whoosh_backend.WhooshSearchBackend):
    @property
    def use_file_storage(self):
        tenant = connection.get_tenant()
        return not(isinstance(connection.tenant, FakeTenant))

    @use_file_storage.setter
    def use_file_storage(self, value):
        pass

    @property
    def path(self):
        tenant = connection.get_tenant()
        return os.path.join(tenant.get_directory(), 'whoosh_index')

    @path.setter
    def path(self, value):
        pass

    def setup(self):
        super(WhooshSearchBackend, self).setup()
        # make it be always reinitialized
        self.setup_complete = False


class WhooshEngine(haystack.backends.whoosh_backend.WhooshEngine):
    backend = WhooshSearchBackend
