import pytest
import json
from webtest import TestApp

import hobo.scrutiny.wsgi.middleware

pytestmark = pytest.mark.django_db

def test_version_middleware(settings, client):
    hobo.scrutiny.wsgi.middleware.VersionMiddleware.ENTROUVERT_PACKAGES = ['pytest', 'pytest-django']
    # disable apt_cache to get stable test results
    hobo.scrutiny.wsgi.middleware.apt_cache = None

    settings.MIDDLEWARE_CLASSES = (
        'hobo.middleware.version.VersionMiddleware',
        ) + settings.MIDDLEWARE_CLASSES
    json_response = json.loads(client.get('/__version__').content)
    assert set(json_response.keys()) == set(['pytest', 'pytest-django'])
